FlxpointAPI Help CenterBeta

Get Available Connection Configs

gethttps://api.flxpoint.com/connections/available-configs

Use this when you want to pull connection data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

Endpoint to retrieve back a list of available connection configs based on the connection type.

Requires Account-level privileges.

Request

Query parameters
  • handlequerystringrequired

    The connection type handle

Example request

get/connections/available-configs
curl -X GET "https://api.flxpoint.com/connections/available-configs" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
array[ConnectionConfig]
handlestring
namestring
requiredboolean
editableboolean
dataTypestring
defaultValuestring
optionsarray[ConnectionConfigOption]
valuestring
labelstring
advancedboolean
valuestring
hiddenboolean
descriptionstring
sortOrderinteger
Example response
[
  {
    "handle": "string",
    "name": "string",
    "required": true,
    "editable": true,
    "dataType": "string",
    "defaultValue": "string",
    "options": [
      {
        "value": "string",
        "label": "string"
      }
    ],
    "advanced": true,
    "value": "string",
    "hidden": true,
    "description": "string",
    "sortOrder": 0
  }
]
401Unauthorized

No schema documented for this status.

OpenAPI fragment
{
  "get": {
    "summary": "Get Available Connection Configs",
    "description": "Endpoint to retrieve back a list of available connection configs based on the connection type. \n\nRequires Account-level privileges. ",
    "parameters": [
      {
        "schema": {
          "type": "string"
        },
        "name": "handle",
        "in": "query",
        "required": true,
        "description": "The connection type handle"
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/ConnectionConfig"
              }
            }
          }
        }
      },
      "401": {
        "description": "Unauthorized"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight